/* nls_ctyp.c (rsxnt) -- Copyright (c) 1996-1997 Rainer Schnitker */

#include "rsxnt.h"
#include <winnls.h>

#define _NLS_DBCS_LEAD 0x01

int __nls_ctype (unsigned char *buf)
{
    unsigned i;

    for (i = 0; i < 256; ++i) {
        buf[i] &= ~_NLS_DBCS_LEAD;
        if (IsDBCSLeadByte(buf[i]) == TRUE)
            buf[i] |= _NLS_DBCS_LEAD;
    }
    return 0;
}
